Create a one-time magic app link

POST /apps/{appIdOrName}/links

Creates a one-time-use magic link that allows the user to log in and be redirected to a specific HIP app. The destination URL is determined based on the app's settings in the developer portal. Currently, this is used exclusively to access HDA.

Path parameters

appIdOrNamestring✻

The app ID or name is a unique identifier for an app.

Documentation

Request body✻

Content application/json

Documentation

Properties

callbackUrlstring✻

The callback URL is the redirect url that will be passed to the app.

format: uri

Documentation

Example
"https://example.com/callback"

Responses

    201Created

Content application/json

Documentation

Properties

idstring✻

The link ID is a unique identifier for a link.

format: uuid

Documentation

Example
"9352258f-0263-47d1-b9c7-16cd93be7501"

expiresAtstring✻

The expiresAt timestamp is the time when the entity is no longer valid.

format: date-time

Documentation

Example
"2023-07-18T13:47:55.713Z"

urlstring✻

The URL is one-time link that will attach a session and redirect to an app.

format: uri

Documentation

Example
"https://id.hedia.dev/links/9352258f-0263-47d1-b9c7-16cd93be7501"

Security

Servers

    id.hedia.comhttps://id.hedia.com/api/v1